=== added directory 'membership_card'
=== added file 'membership_card/__init__.py'
--- membership_card/__init__.py	1970-01-01 00:00:00 +0000
+++ membership_card/__init__.py	2008-12-28 21:06:42 +0000
@@ -0,0 +1,34 @@
+# -*- encoding: utf-8 -*-
+##############################################################################
+#
+# Copyright (c) 2008 Zikzakmedia S.L. (http://zikzakmedia.com) All Rights Reserved.
+#                    Jordi Esteve <jesteve@zikzakmedia.com>
+#
+# WARNING: This program as such is intended to be used by professional
+# programmers who take the whole responsability of assessing all potential
+# consequences resulting from its eventual inadequacies and bugs
+# End users who are looking for a ready-to-use solution with commercial
+# garantees and support are strongly adviced to contract a Free Software
+# Service Company
+#
+# This program is Free Software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+#
+##############################################################################
+
+import report
+import wizard
+import membership_card
+
+

=== added file 'membership_card/__terp__.py'
--- membership_card/__terp__.py	1970-01-01 00:00:00 +0000
+++ membership_card/__terp__.py	2008-12-28 21:06:42 +0000
@@ -0,0 +1,18 @@
+# -*- encoding: utf-8 -*-
+{
+  "name" : "Membership card",
+  "version" : "1.0",
+  "author" : "Zikzakmedia SL",
+  "category" : "Generic Modules/Association",
+  "website": "http://www.zikzakmedia.com",
+  "description": """Adds a photo field to partner contact.
+Prints membership cards with name, number, bar code and photo of contacts.
+  """,
+  "depends" : ["base"],
+  "init_xml" : [],
+  "demo_xml" : [],
+  "update_xml" : ["membership_card_view.xml","membership_card_report.xml",],
+  "active": False,
+  "installable": True
+}
+# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
\ No newline at end of file

=== added directory 'membership_card/i18n'
=== added file 'membership_card/i18n/ca_ES.po'
--- membership_card/i18n/ca_ES.po	1970-01-01 00:00:00 +0000
+++ membership_card/i18n/ca_ES.po	2008-12-28 21:06:42 +0000
@@ -0,0 +1,44 @@
+# Translation of OpenERP Server.
+# This file containt the translation of the following modules:
+#	* membership_card
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: OpenERP Server 5.0.0_rc2\n"
+"Report-Msgid-Bugs-To: support@openerp.com\n"
+"POT-Creation-Date: 2008-12-28 20:40:03+0000\n"
+"PO-Revision-Date: 2008-12-28 21:49+0100\n"
+"Last-Translator: Jordi Esteve <jesteve@zikzakmedia.com>\n"
+"Language-Team: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: \n"
+
+#. module: membership_card
+#: constraint:ir.ui.view:0
+msgid "Invalid XML for View Architecture!"
+msgstr "XML invàlid per a la definició de la vista!"
+
+#. module: membership_card
+#: field:res.partner.address,photo:0
+msgid "Photo"
+msgstr "Foto"
+
+#. module: membership_card
+#: model:ir.actions.report.xml,name:membership_card.membership_card_address_report
+#: model:ir.actions.report.xml,name:membership_card.membership_card_report
+msgid "Membership card"
+msgstr "Targeta soci"
+
+#. module: membership_card
+#: rml:membership.card.address:0
+#: rml:membership.card:0
+msgid "Num:"
+msgstr "Número:"
+
+#. module: membership_card
+#: help:res.partner.address,photo:0
+msgid "Photograph of the contact"
+msgstr "Fotografia del contacte"
+

=== added file 'membership_card/i18n/es_ES.po'
--- membership_card/i18n/es_ES.po	1970-01-01 00:00:00 +0000
+++ membership_card/i18n/es_ES.po	2008-12-28 21:06:42 +0000
@@ -0,0 +1,44 @@
+# Translation of OpenERP Server.
+# This file containt the translation of the following modules:
+#	* membership_card
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: OpenERP Server 5.0.0_rc2\n"
+"Report-Msgid-Bugs-To: support@openerp.com\n"
+"POT-Creation-Date: 2008-12-28 20:40:03+0000\n"
+"PO-Revision-Date: 2008-12-28 21:48+0100\n"
+"Last-Translator: Jordi Esteve <jesteve@zikzakmedia.com>\n"
+"Language-Team: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: \n"
+
+#. module: membership_card
+#: constraint:ir.ui.view:0
+msgid "Invalid XML for View Architecture!"
+msgstr "¡XML inválido para la definición de la vista!"
+
+#. module: membership_card
+#: field:res.partner.address,photo:0
+msgid "Photo"
+msgstr "Foto"
+
+#. module: membership_card
+#: model:ir.actions.report.xml,name:membership_card.membership_card_address_report
+#: model:ir.actions.report.xml,name:membership_card.membership_card_report
+msgid "Membership card"
+msgstr "Tarjeta socio"
+
+#. module: membership_card
+#: rml:membership.card.address:0
+#: rml:membership.card:0
+msgid "Num:"
+msgstr "Número:"
+
+#. module: membership_card
+#: help:res.partner.address,photo:0
+msgid "Photograph of the contact"
+msgstr "Fotografía del contacto"
+

=== added file 'membership_card/i18n/membership_card.pot'
--- membership_card/i18n/membership_card.pot	1970-01-01 00:00:00 +0000
+++ membership_card/i18n/membership_card.pot	2008-12-28 21:06:42 +0000
@@ -0,0 +1,43 @@
+# Translation of OpenERP Server.
+# This file containt the translation of the following modules:
+#	* membership_card
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: OpenERP Server 5.0.0_rc2\n"
+"Report-Msgid-Bugs-To: support@openerp.com\n"
+"POT-Creation-Date: 2008-12-28 20:40:03+0000\n"
+"PO-Revision-Date: 2008-12-28 20:40:03+0000\n"
+"Last-Translator: <>\n"
+"Language-Team: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: \n"
+"Plural-Forms: \n"
+
+#. module: membership_card
+#: constraint:ir.ui.view:0
+msgid "Invalid XML for View Architecture!"
+msgstr ""
+
+#. module: membership_card
+#: field:res.partner.address,photo:0
+msgid "Photo"
+msgstr ""
+
+#. module: membership_card
+#: model:ir.actions.report.xml,name:membership_card.membership_card_address_report
+#: model:ir.actions.report.xml,name:membership_card.membership_card_report
+msgid "Membership card"
+msgstr ""
+
+#. module: membership_card
+#: rml:membership.card.address:0
+#: rml:membership.card:0
+msgid "Num:"
+msgstr ""
+
+#. module: membership_card
+#: help:res.partner.address,photo:0
+msgid "Photograph of the contact"
+msgstr ""

=== added file 'membership_card/membership_card.py'
--- membership_card/membership_card.py	1970-01-01 00:00:00 +0000
+++ membership_card/membership_card.py	2008-12-28 21:06:42 +0000
@@ -0,0 +1,40 @@
+# -*- encoding: utf-8 -*-
+'''Membership_card'''
+##############################################################################
+# Copyright (c) 2008 Zikzakmedia S.L. (http://zikzakmedia.com) All Rights Reserved.
+#                    Jordi Esteve <jesteve@zikzakmedia.com>
+#
+# WARNING: This program as such is intended to be used by professional
+# programmers who take the whole responsability of assessing all potential
+# consequences resulting from its eventual inadequacies and bugs
+# End users who are looking for a ready-to-use solution with commercial
+# garantees and support are strongly adviced to contract a Free Software
+# Service Company
+#
+# This program is Free Software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+#
+##############################################################################
+
+from osv import fields, osv
+
+
+class res_partner_address(osv.osv):
+    '''Partner'''
+    _inherit = 'res.partner.address'
+    _columns = {
+        'photo': fields.binary('Photo', help='Photograph of the contact'),
+    }
+
+res_partner_address()

=== added file 'membership_card/membership_card_report.xml'
--- membership_card/membership_card_report.xml	1970-01-01 00:00:00 +0000
+++ membership_card/membership_card_report.xml	2008-12-28 21:06:42 +0000
@@ -0,0 +1,23 @@
+<?xml version="1.0"?>
+<openerp>
+  <data>
+
+    <report id="membership_card_report"
+            string="Membership card"
+            model="res.partner"
+            name="membership.card"
+            rml="membership_card/report/membership_card.rml"
+            auto="True"
+            menu="True"
+            header="False"/>
+    <report id="membership_card_address_report"
+            string="Membership card"
+            model="res.partner.address"
+            name="membership.card.address"
+            rml="membership_card/report/membership_card_address.rml"
+            auto="True"
+            menu="True"
+            header="False"/>
+
+  </data>
+</openerp>
\ No newline at end of file

=== added file 'membership_card/membership_card_view.xml'
--- membership_card/membership_card_view.xml	1970-01-01 00:00:00 +0000
+++ membership_card/membership_card_view.xml	2008-12-28 21:06:42 +0000
@@ -0,0 +1,33 @@
+<?xml version="1.0" encoding="utf-8"?>
+<openerp>
+	<data>
+		<!-- MEMBERSHIP CARD -->
+
+		<!-- PARTNER CONTACTS-->
+		<record model="ir.ui.view" id="view_partner_address_form1_mcard">
+			<field name="name">res.partner.address.form1.mcard</field>
+			<field name="inherit_id" ref="base.view_partner_address_form1"/>
+			<field name="model">res.partner.address</field>
+			<field name="type">form</field>
+			<field name="arch" type="xml">
+				<field name="email" position="after">
+					<field name="photo" widget="image" colspan="4"/>
+				</field>
+			</field>
+		</record>
+
+		<!-- PARTNER. OpenERP 4.2.3 doesn't work fine: Every time we change a partner the client ask to save the form -->
+		<record model="ir.ui.view" id="view_partner_form_mcard">
+			<field name="name">res.partner.form.mcard</field>
+			<field name="inherit_id" ref="base.view_partner_form"/>
+			<field name="model">res.partner</field>
+			<field name="type">form</field>
+			<field name="arch" type="xml">
+				<field name="email" position="after">
+					<field name="photo" widget="image" colspan="4"/>
+				</field>
+			</field>
+		</record>
+
+	</data>
+</openerp>

=== added directory 'membership_card/report'
=== added file 'membership_card/report/__init__.py'
--- membership_card/report/__init__.py	1970-01-01 00:00:00 +0000
+++ membership_card/report/__init__.py	2008-12-28 21:06:42 +0000
@@ -0,0 +1,30 @@
+# -*- encoding: utf-8 -*-
+##############################################################################
+#
+# Copyright (c) 2008 Zikzakmedia S.L. (http://zikzakmedia.com) All Rights Reserved.
+#                    Jordi Esteve <jesteve@zikzakmedia.com>
+#
+# WARNING: This program as such is intended to be used by professional
+# programmers who take the whole responsability of assessing all potential
+# consequences resulting from its eventual inadequacies and bugs
+# End users who are looking for a ready-to-use solution with commercial
+# garantees and support are strongly adviced to contract a Free Software
+# Service Company
+#
+# This program is Free Software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+#
+##############################################################################
+
+import membership_card_report

=== added file 'membership_card/report/membership_card.rml'
--- membership_card/report/membership_card.rml	1970-01-01 00:00:00 +0000
+++ membership_card/report/membership_card.rml	2008-12-28 21:06:42 +0000
@@ -0,0 +1,214 @@
+<?xml version="1.0"?>
+<document filename="test.pdf">
+  <template pageSize="(244.0,153.0)" title="Test" author="Martin Simon" allowSplitting="20">
+    <pageTemplate id="first">
+      <frame id="first" x1="0.0" y1="0.0" width="244" height="153"/>
+    </pageTemplate>
+  </template>
+  <stylesheet>
+    <blockTableStyle id="Standard_Outline">
+      <blockAlignment value="LEFT"/>
+      <blockValign value="TOP"/>
+    </blockTableStyle>
+    <blockTableStyle id="Taula2">
+      <blockTopPadding value="0"/>
+      <blockBottomPadding value="0"/>
+      <blockAlignment value="LEFT"/>
+      <blockValign value="TOP"/>
+    </blockTableStyle>
+    <blockTableStyle id="Taula1">
+      <blockAlignment value="LEFT"/>
+      <blockValign value="TOP"/>
+    </blockTableStyle>
+    <initialize>
+      <paraStyle name="all" alignment="justify"/>
+    </initialize>
+    <paraStyle name="P1" fontName="Helvetica" fontSize="6.0" leading="8" alignment="JUSTIFY"/>
+    <paraStyle name="P2" fontName="Helvetica" fontSize="11.0" leading="14" alignment="JUSTIFY"/>
+    <paraStyle name="P3" fontName="Helvetica" fontSize="11.0" leading="14" alignment="LEFT"/>
+    <paraStyle name="P4" fontName="Helvetica" fontSize="8.0" leading="10" alignment="RIGHT"/>
+    <paraStyle name="P5" fontName="Helvetica" fontSize="12.0" leading="15" alignment="JUSTIFY"/>
+    <paraStyle name="Standard" fontName="Helvetica" fontSize="11.0" leading="14"/>
+    <paraStyle name="Text body" fontName="Helvetica" fontSize="11.0" leading="14" spaceBefore="0.0" spaceAfter="6.0"/>
+    <paraStyle name="Heading" fontName="Helvetica" fontSize="14.0" leading="17" spaceBefore="12.0" spaceAfter="6.0"/>
+    <paraStyle name="List" fontName="Times-Roman" fontSize="11.0" leading="14" spaceBefore="0.0" spaceAfter="6.0"/>
+    <paraStyle name="Table Contents" fontName="Helvetica" fontSize="11.0" leading="14"/>
+    <paraStyle name="Table Heading" fontName="Helvetica-Bold" fontSize="11.0" leading="14" alignment="CENTER"/>
+    <paraStyle name="Caption" fontName="Times-Italic" fontSize="12.0" leading="15" spaceBefore="6.0" spaceAfter="6.0"/>
+    <paraStyle name="Index" fontName="Times-Roman" fontSize="11.0" leading="14"/>
+  </stylesheet>
+  <images>
+    <image name="1000000000000126000000559DB2F123.jpg">/9j/4AAQSkZJRgABAQEASABIAAD/4QAWRXhpZgAATU0AKgAAAAgAAAAAAAD/2wBDAAUDBAQEAwUE
+BAQFBQUGBwwIBwcHBw8LCwkMEQ8SEhEPERETFhwXExQaFRERGCEYGh0dHx8fExciJCIeJBweHx7/
+2wBDAQUFBQcGBw4ICA4eFBEUHh4eHh4eHh4eHh4eHh4eHh4eHh4eHh4eHh4eHh4eHh4eHh4eHh4e
+Hh4eHh4eHh4eHh7/wAARCABVASYDASIAAhEBAxEB/8QAHAABAAIDAQEBAAAAAAAAAAAAAAYHBAUI
+AwIB/8QAVRAAAQMEAQIDBAMGDg4LAAAAAQIDBAAFBhEHEiEIEzEUIkFRMkJhCRUWcbKzIzU2OVJi
+dHV2gZGVodIXGCQzNzhWV4KFoqOxwUVIU3OHkrTF0eHw/8QAHAEBAAEFAQEAAAAAAAAAAAAAAAMB
+AgQGBwUI/8QAKhEBAAEDAgYABQUAAAAAAAAAAAECAxEEQQUGEiExYRRRcYGRMkJywdH/2gAMAwEA
+AhEDEQA/AOy6wbjc48L3FbW7+wT/AM/lXze53sUbSP7652T9n21E1KKlFSiSSdkn41ovNXNk8Nq+
+F0uJubzP7ftvO/yj2jrrx2htH77NWf0Py2h9id/8a80Xq4g7LwV+NA/5VrqVzSvmDildXXOorz/K
+Yj8R2R9UpFCv6FqCJbYRv66e4/krdIUlaQpKgpJGwQexqB1tbBcFR3xHcO2XDob+qa3LlznS9N6n
+T6+cxPaKt4n3697br6a9pSilKV1NKUpSgUpSgUpSgUpSgUpSgUpSgUpSgUpSgUpSgUpSgUpSgUpS
+gUpSgUpSgUpSgiWQPF26OD4N6QP/AN+PdYABJ0O5rJuwIucgH/tCa8Y6giQ2tXolYJ/lr514nXN/
+iN2bk+a5z67/ANMefKUWq1sxWkqcQlbxHvEjevsFfUWVaLyw4YkqFPbQroWph1LgQr5EpPY1nghQ
+BBBB7giuGfDFd83wrHMj5ATd7a1xzbb++L5BDXXOec6G0gtbRrW3Wvrp9Ffx980vDtLptPGnt0R0
+Y8Y8/X55TxERGHW14hexS+hJJbUOpBPy+VYVZbl9g5Jj9jvtu8wRbjBbnMBxISsNuoStHUATo6Pc
+brErhXMWks6Tid6zY/TE9vWYicfaeyCqMSmtseL9vZdPqUDf4x2NZFYGPgptDG/tP+0az67pwq5V
+d0Nm5X5mmmZ+sxCePBSoxyZnmNcdY4nIMrmOxLeqQmOHG2FOnrUCQNJBP1T3qs/7bHhL/KKd/Nj/
+APVrPVXnXg5NhNSExnJcdDyiAltTgCjv07etVBYfE3xJfr1Ds1ou1zmT5jqWY7DVqfKlrJ0B9H+n
+4VU3M9nwub4zMduE7OvYL1HuVpCLV96HnfNWlxtSE+cD0jq2Bs+m+9B1zKlxYoSZUllgK+j5jgTv
+8W69UKStCVoUFJUNgg7BHzrkL7pd+kOE/uqX+S1V82nM8bwLgnGchyq5t2+3tWaCjrUCpS1lhGkI
+SNlSj37AegJ9AaCxaVBeK+V8O5NMxWIPz5jMPQffcgustJUfRAUsAFWu+h31/FWjz7xC8XYNls3F
+sjvMqNdIXl+e2iC64E9baXE+8lJB91aTQWtSqM/tseEv8op382P/ANWp3xdyrh3JUefKxOXLkxoB
+CZD70NxltKiN9IUsAE67kD0Gt+ooJxSqOyzxU8P49fHLQq7Trm40oodft8XzWUKHqOskBX409Q+2
+thc/Evw5AtNtujmUl6PcAvyvIiOrWgo6epLiQnaCOodlAb9RsUFuyH2Y7RdkPNstj1UtQSB/GaR3
+2ZDQdjvNvNn0UhQUD/GKozxxvNyPDNd5DR226/DWk61sF5BFYvgyu9ssHhVt95vM5mDb4bsx2RIe
+VpLaQ+vuf+AHqToCg6BpVZccc6ce8h38WPEplzuEsILjhFseS20kfWWsp6Uj4DZ7kgDvWPfPEJxT
+Y8xn4pd8iXCuUBTiZIdiOhtBQgrI6+nROhoAdySANkigtWlUlhfij4jyjImrGxdZtuffX5bDtwje
+Sy6onQAXshO/h1dPr86x8h8V/Dtnvjtq++twuHlKKFyoUMuMAj10okFQ+1II+RoL1pWow/JbFl+O
+xchxu5M3G2S0lTT7W9HR0QQdFJB2CCAQfWozyxy/gXGLbIyy8hiVIT1Mw2Gy6+tPf3ukeiexHUrQ
+2NboJ7SqSwnxScRZTeWbS3dptqkvrDbJuUbym1qPoOsFSU/6RFXbQK8pUmPFbDkmQ0wgnQU4sJBP
+y2aqfk3xGcXYBfHbHdrtJm3NhXTIjW+OXiyfkpRISD9m9j4gVRfjH5XwXk3ga2u4jekSno+SMF+I
+6gtPtD2aT3KFdynv9IbG+290HZqJEdcb2lL7SmOkq8wLBToep36ar5iyospKlRZLL4SdEtrCgP5K
+oHiRmPI8CBYly0w47mLXNDshSFLDKCJAKylPc6GzodzqtV4ArXYrXieToseTs39tc9ouONw3Y4aP
+lnQ04ATv7KDpmlQHlnl/AuL2mfwrvHlS309TEKO2XZDie46ukeiex95RA2Nb3UTxfxQcP36JNeRf
+ZFvchx1yVsToym3HEIG1dGthatd+kEqOj27UF1UqGcV8nYfybAmzsQnvTGITqWny5GW0UqUNgaUB
+vtSgz8ojFEpMkD3XBon9sP8A6rTVOJTDclhTLo2lX9H21E7jb34TmljqbP0Vgdj/APFcd5z5fu6b
+U1a21Tm3X3n1O+fU+c/b5Ia6cTlk2y8uRWwy6jzWx9Hv3TVN+AA9XFmUH55dLP8AuI9WfVX/AHP3
+/BTk38LZf5iNXv8AIXEtTqrd2zer6qaIp6c7Zzv52XW5mXtneG3fi3KpuaYZHDuOXabIvGaPzXUr
+XHQFlwlhI6Vei3ewCj2H8c7w+8QMsskC82R1T8OegLjrUgoKk71sg9x6VZLzTbzS2Xm0ONrBSpC0
+7CgfgQfWqQybFr1xhnE3kLE4r17h3eQlN5iSHktxrRCSApx9pIIJICSSACTs9q9TjvKVjil+m/TP
+TVmOr3H+48SrVRld8dpLLCGk+iEhIr7rTYZlNgzKwM3/ABm5N3G2vKUluQhKkhRSopUNKAPYgj0r
+c1ttFFNFMU0xiIXo5yHg+L8gWAWHLrX98rcl9L4Z89xr9ESCAeptSVeij23rvXFvi9xvg/jxprD8
+Kw5teWyQlbzwuUt0QGzop91TpSpxfwSQdDuR3TvpnxPcyW/iXClOsKakZJcEqbtcQnej8Xlj9gn/
+AGjofMjhPhzkPHsf5Nez/kG1XLK7mlwyI4LqNe0k7LzhV9Ip+qNaB0fqirh114NOCRx9ZBmOURR+
+FNxa/Qmljvb2FD6H/eK+sfgNJ7e9unOdv1wDHv37sf5TFWzx/wCLzHsvzazYvHw66RXrpMbioeck
+tlLZWdbIA2RVTc7frgGPfv3Y/wApigmf3S79IcJ/dUv8lqqR4/TevEPylj2J5RkzVrtdvgoYjR0q
+6QGGUJSUMpOwXlgbKj9p7hITV3fdLv0hwn91S/yWqgXOnC0jEsCxDl3j1uRDS1bIL1zbjKV1RXvK
+QRKQfUAn6XyPf4nQdw4Ti1hwvGomO43b2oFtiJ020juSfipRPdSie5J7moJyVwnw1kN2umb5tjrT
+kpTQenznbnJZQENNhIUQh1KUgIQPQD0+dYfha5mh8s4X/dq2WcmtqUoucZPuhfwS+gfsVfEfVOx6
+a3zb42OeDlVzf47xKZuwQ3NXKU0e015J+gD8W0H/AMyhv0AJCv4mEWbmPm9WPcR40qxYy0oJXIW6
+890MJPvSXC6tRBV9VAI+qPXZrpvxTpgcNeFtnEMMH3vZnyG7WVg/ozqFoWt5aiNbUsIIUf2+u3YV
+T3AHiI4+4lwluyQMHusq4vkO3K4GQ0lcl3+TshI7JT8O59SSbIz7Iv7abw/5B+Clgmw7ljtxZlx4
+rrqVqkrS2sKSnp+PQteh8TofGg8vCH4fsEu3FMHMMxsrV6uF3LjjLb61+XHZSsoSAkEAqPSVFR32
+IA133TPjT4ksnGGbWuTjDK41lvbDjjUVS1LDDrZSHEpUrZKdLQQCSQSfhqpt4Y/E3Z+PMGRg2dWu
+6lNtdcEOREaStSUKUVFpxClJIIUVaPfsQNDXerfFLy09y7l0K8RbXKt1hhMrjW5EhI63DsKcWojY
+6jtAKQSAAn50HW/jM/xUZf8Aq/8AOt1xTj+R5HmdmxTiE3uJZ7CicQlT6y2yp110q814/Hp6tJHo
+Pxkmu1vGZ/ioy/8AV/51uudrLwUM38KlpznFonVk1vdlmUw2NqnsJeV2A+LiAO3zGx3PTQdq8NcZ
+43xbiDWP4+x1LOlzJjiR5st3Xdaj8vkn0A/jJ4jyLEoWc+Oq4Yvc0OLgzL84ZKEEgrabbLi07HcA
+hBBI7gHdXl4KedPwutbXHuVyj+EMBrUGQ6rvOZSPonfq4gDv+ySN+oJqt8K/XIpH753D/wBC9QYH
+jw4sw7Al4vdcQtTVpRP89iTHaUooUW+gpWNk6OlEH59qnUPgXj5vwduZE/Z23MiVjC76Ln1r80O+
+QZCUjvoJA0jWta2fXvXz90u/SHCf3VL/ACWqtj/qQ/8Aht/7bQVp9zZuUl7B8rtTji1MRLiy80kn
+YSXGyFa+X97FcxTszx3KOdLjmPJUe53mzyJjrq4kJwBbiBsMtBRUOltI6R2O9J0PXY6Q+5o/pDm3
+7qifku1Us1qX4dfEnNk5HjKLxYJTj4aQ80laZUNxYUlbZWCnzEEJ2Pmkp2Ad0Gg5vyzhLJ7HHPH+
+C3bF7yw6NrJR7O8132lSQ4dKB0QoD4EH1Gun+MeT71H8DsnL1SFLvFmgvwWpDm1krSvy2VnfqQlb
+fr6lNVtzF4k8IuOPNWvinCmY95lOoBmTLNG2yNj3UN++FrUe3caAPxPpflqxPKM78L8vGsttNrsN
++vFuc/uaHH8htpz6TJcR9VZKUFYHpsjtrVBz14IuGcZ5DgXrOc3jKvLTM4w48V51XSp3oS4465o7
+WdOI1s6+kTs619+OHg/FMIsFszXDIAtcd2YIU6EhalN9SkKUhxAUT0/QUkgHR2nQHfeg8M/M73A1
+3v2DZ7ZLkmCuX5jrbKB58OSEhKj0KICkqSEd9+iQRvdeHi259jctW2BY8ZtU6LjtvlCQ/IloCVvS
+ChaUDSSQgBJc0Cdq2TodNB0Fxt+t/wAr+CN2/JkVFvua36i8u/fFn82alPG363/K/gjdvyZFRb7m
+t+ovLv3xZ/NmgqPhvHU+IvxLXm65bKekWtAduEhtKiguMpWltlhJ9Up0pP29KT3BO6vPxMeHPjxH
+E15v2J2Jmx3WyRHJyFxlq6Hm209TiFpJIPuhRB9QQPhsGiYEy9+FrxIzXpdqelWWQHWkJT7olwHF
+hSVNk9utJSjY+aSnYB3VheIDxVWLMeOrhiWA2e8Lk3WOtqbImMpQGI+tuBKUqUVEpCgSdAAk7PwD
+e/c1v1F5d++LP5s0p9zW/UXl374s/mzSg60r8UlKklKgCD6gj1r9pVJiJjEjXv2aA6rflFs/tDr+
+iqD8AA1xZlAHwy6WP9xHroyudPAF/guyn+F0v8xHrF0+g02lqqrsW4pmrziMZ/CkREOi60uX33Fb
+JbCMuvFltsCZ1RyLpJaZaf2k9SP0QgK2N7Hy3VD3fnS73nxIY5g+OM3a12eFdJkC/Klw2fJmFvaU
+KbcIUpKdoUQQUk9QrK8a9k/CK14BEXAfn205Kybh5SVFKIxSQ4pak/QT0k7Vsa+dZarRZjyNiHEW
+TjLcKzTHMix24LbtjWF2e4MR41tKwFrnDyiserRBHlp7vd1fPpTHr9Y8jgG4Y9erdeIYWWzIgykP
+t9Y1tPUgkbGx2+2qjt/hp8PtwiplQMRjy46iQl1i9TFoOjo6Ie1VlceYPi/H9gVYcRtf3ttyn1Pl
+nz3Hf0RQAJ6nFKV6JHbeu1B+5DgmD5FcPvhkGG47d5nQG/aJ1sZfc6R6J6lpJ0Nnt9ta7+xPxZ/m
+0wz+Yo39StR4jcuyXCeP2r1jcf8A6SYZuUz2UyTb4aifNkhoEdfTpI1v62/huoteeRcoasuB45i+
+T2LJL7msuSmHfxAKIzMVkdbjhZSs9TqUqA6dpGwdgaNBYBwLi/GkqyFvBsTtiralUv2xmzMIXHDY
+KitKko6gQBvY71726w8eZc7b87jY5j91kyEtS4d3ctrapBCdFpaXFJ6wRoaPYjQ9Kq3J8ty6xXHL
+OMc2uMG+e34fNulqu0aH7KtXQ2tDjLrYUpOxrqCkn09fXQxuHMvvNtRwdh8VxkWq84u+9MSpsFal
+MsJKNK+Hc/x0F35Ni2MZO2w3kuOWe9ojkllNwhNyA2TrZSFg63ob18qy5MW1RrE7CkRobVpajFpx
+hbaQwhgJ0UlP0QgJ7a9NVS+TcyXTE7/zS/c2mZlswxi0G1x0o6VKdls/RWodyC6pHf4DdSfD4XLD
+VvF+zPLbFKZfgOPSLNFs3QiOso2lKHi4VKCT2PUk7H8tBucExji2RbWcjwvF8TTFuEdTaJlvtjDf
+nMq7KR1JSCUnWik/LvX1/Yn4s/zaYZ/MUb+pVS4fyRlN1xHi3D8WRZbTfspgPTZU32AezQI7RUVF
+uOgpSVKOwBsDe9+uxtZfI2b4pL5BwvI5tuud7smJSckst2Yh+QH2kJUnTrOykKS4APdOiPhQWL/Y
+n4s/zaYZ/MUb+pW9xrGMaxhl5jG8etFlafUFuot8JuOlxQGgVBAGzr51RMzOuXMZxDCORchvdhm2
+q9y4LNwszNsLSozMlI0tL3WVKcGwSOkDZ0BoVvHs9y53xCTcIuGQ2/FYzbrC7NCmWguovcfpBeKJ
+HmJ05vqASkdteiiFUE+ybivjfJbr99b7hNinzyoLXIcho8xwj9mQNr/0t1m3Dj7ArhChQp+EY1Li
+wEFuGy/amFtx0nRKW0lOkA6HYa9K1HPt+ybFuK7tk2KJZcnWoIlutOt9YcjoWC8B8iG+o7+yoRlP
+Nj8blLFYtmbZfw19ENF6mKRstO3FC1QtH6oAbClH004O/poLjvVjst7tJtF5s9vuVuV07iS4yHWT
+0nafcUCnsQNdu2qw1JxbAsSkvsxLdYLDbmlyHURIwaZZT3UtXQ2Pxk6HeqJzDnDKbXFyS5QTBMGZ
+lzeMY669GWtEby0ESpSwj3nU9QPSkfFPbY7HU5PyDf7xhHJeI3O9M5RATiL9xiXlmyu27oUD5bkd
+xC+xPvJUkg+m97+AXzY8I41kvQ8qtGF4v7Q/0zo1watDKHiV++l0L6AoKO979e9Zr2LYRa7w/mTm
+NY/EujKXJD139gaTISOghay909X0eoE79N1RAyrlfjzgzGOSLjc7HLsUWHAE2wot5Q41DcDbSFJk
+FzantKQSOkJ2fTQ79B5dKMfDrxNZS04Wre+6gOICkK02ojYPqPsoNe9bsF5HsVuusy02LKLYtJeg
+vS4TclACuxUjzEnW9Dfp6VpL1yFw/ZWJGG3bJ8UgsRmfYH7S860lttro6fJLR90I6fd6da121qvT
+w9XiRkHCuLXmWxEjvyoIWtuIwllpJ6iNJQnskdvQVTWC3fKbdy7yw3j/ABf+GbS8gSXXvvnFjezq
+8saTp47O/XYoLfTkHDPGk1VrZnYZiMia23IWwyliGXkHYQtQSBsfS0T9tbDP7hxlPwxi55tJxqdj
+clSfIkzy07GWpQJSULO07IB0QfhVEcmZPb8U8VF6vl7xGfkEVrj0F+BEiok+UBISoqc6j0pbSEkF
+ffWx2O6it5scmweD/Cly3GFouWXxbmzHjL81uMy8takMpI9dDuR8FEj4UHQ3FOK8HLfXeuObXiEt
+9hY6pUAtPuR1H097ZU2e3p2qzqoPjGxzb34i5/I1owy44fjSLCLatE+F7E9cpJd6y4WOxCUpAHUo
+DfSNb+F+UEYzTj3B80UheVYrabs62npQ9IjpLqU73oL+kB9m9V+I46wBFgRYPwIxtVpQ8JCYS7Yy
+pkOgFIc6CnXXokdXronv3qUUoNdGsNji4+cejWW3M2YsrYNvbioTGLa99SPLA6ek9R2NaOz868sa
+xjGsYZeYxvHrRZWn1BbqLfCbjpcUBoFQQBs6+dbalBqcpxnHspt33uySyW+7xN9QamR0upSfmOod
+j9o71p8d4x47x6DKg2fCrDFYmNFmUkQkKL7Z9UOFQJWn9qSRUupQanGsYxrGGXmMbx60WVp9QW6i
+3wm46XFAaBUEAbOvnSttSgUpSgVxn4I5PJpudxiWNu0nCE5FIcuy3de1JdLSR7nf091v4fOuzK8o
+0aPGSpMaO0yFHag2gJBPz7UEO52xu55fxDkmNWVDS7hcIZaYS4voSVdQPc/D0qDcTXeFknE944eg
+rU3k2M2BFkuYeSQw3JUwtkdKxvqT1IV3A9PhV31zZmTL/CXNlnueNOtz1co5MzGu6Lg2VCMjzkj9
+AKCnR/uhfdfV6Dt67Dd+FuRHwRB4GuzyZGVWSK9c5TsRJVEUy66lSQlaglRVp5GwUj49/nfFc8eI
+51HEOSx+ZcZjtSskv82Nj0tueVLjJjKQVlSEIKVBzcZvuVEaKu3ca6HoI1yBbswuMCMMOv8AbbTJ
+adKn0T7f7UzKQUkeWrSkqSNne0nfYD03usrbwAq14ZZWLZlHsmV2W7yLzDuiIKfZ23n9eayGOrsw
+pISnpCt9t7+FXlSgqKJxRfbtdb/lGb5JCuOSXKxO2SF7DDUzDtzDiVdXQhS1KWoqVsqJB129KxJf
+Dt+g2PjuRi+UQ4eS4RCXDakSoRcjTW3G0oWlaAoKSPd7EHY2fjoi6KUFL2bg9+UnkUZzkqb8rOWI
+aJbjEMRzHXHSsJUgFShpJUjp3vXlje91vMLxHk62MsWfIM9tF2skWIuMjosxalyQWyhBdX5pSOns
+fdG1a7nvVmUoKXi8Jz7XieCCxZO1ByzDGXGYlxXDLkeS05sONOs9QJSoHsQraTsismPxDdbhGza8
+ZXkkW4ZXlVjesqZMaEWYtvjrbUkNtNlRUodRCiVK2dD09Tb9KCs874wkZLxTjuEovDUZyzu29xUk
+sFQd9mCdgJ2NdWvn2+2tZn3FuX5vk8EX7MLY5jVvvTd2httWnouDHQdpYS+F6Cfmvp6jVv0oPC4R
+I0+BIgTGkvRpLSmXm1ei0KBCgfxgmqbxjgC22jgy/wDG8i7uTJN3Wt03JaD1tLR0iKQCSdNBpoaB
+Hoda3V10oKjn8JxJHDuO4VGvr0C8Y/IauMG9tMBS0z0qUtb5QT7wUtayUlXxHftWTccJ5IyfC8kx
+7McysbyLra3IEdFutKmkNLV289ZU4pSjr6o0O5q06UFEt8KZjcsUsnH+VZ7CuWFWpcdS47VrLcua
+2zoojuueYU+UkpTohPUQO/cA1dGQwDdbBcbWl0NGZFdjhZGwnrQU718dbrOpQRbiTFHMG43seJOz
+UTnLZGDCpCW+gOdydhOzr1+dQWFxtyLj2aZZfMRzPH4kbI7h7c4xOs7j62yE9ISFJeSP6KuOlBWl
+n42np5gXyFfLtBnrk4oixTYiIZS2675iHHHQFKOkKKSOg77H1NQ5zw/3FPHxwePl6PvPEylF5tLb
+sQqVDjJUpXs3V1+93VsHQ0d+u9C/KUClKUClKUClKUClKUClKUClKUClKUCtBnmLQMsx6XbpCWWZ
+i4zzcG4eQlb0B1aClL7RPdK0nSgUkHaR3FKUFbcYcFSsYyF245Xn93z2GqMptq33tsvMsu9aFB9I
+cWsBYCVJBAB0tXf53RSlApSlApSlApSlApSlApSlApSlApSlApSlApSlApSlApSlApSlApSlApSl
+ApSlB//Z
+</image>
+  </images>
+  <story>
+    <para style="P2">[[repeatIn(objects, 'p')]]</para>
+    <para style="P2">[[repeatIn(p.address, 'o')]]</para>
+    <blockTable colWidths="122.0,122.0" style="Taula2">
+      <tr>
+        <td>
+          <illustration height="34.0" width="116.0">
+            <image x="0" y="0" file="1000000000000126000000559DB2F123.jpg" height="34.0" width="116.0"/>
+          </illustration>
+        </td>
+        <td>
+          <para style="P4">
+            <font color="white"> </font>
+          </para>
+          <para style="P4">www.zikzakmedia.com</para>
+        </td>
+      </tr>
+    </blockTable>
+    <para style="P1">
+      <font color="white"> </font>
+    </para>
+    <blockTable colWidths="164.0,80.0" style="Taula1">
+      <tr>
+        <td>
+          <para style="P3">[[o.name or o.partner_id.name]]</para>
+          <para style="P3">
+            <font color="white"> </font>
+          </para>
+          <para style="P3">Num: [[o.partner_id.ref]]</para>
+          <para style="P3">[[ setTag('para','barCode',{'width':'200.0','height':'50.0'}) ]][[ o.partner_id.ref or setTag('barCode','para') ]]</para>
+        </td>
+        <td>
+          <para style="P2">[[ setTag('para','image',{'width':'50.0','height':'65.0'}) ]][[ o.photo or setTag('image','para') ]]</para>
+        </td>
+      </tr>
+    </blockTable>
+    <para style="P1">
+      <font color="white"> </font>
+    </para>
+  </story>
+</document>
+

=== added file 'membership_card/report/membership_card.sxw'
Binary files membership_card/report/membership_card.sxw and membership_card/report/membership_card.sxw differ
=== added file 'membership_card/report/membership_card_address.rml'
--- membership_card/report/membership_card_address.rml	1970-01-01 00:00:00 +0000
+++ membership_card/report/membership_card_address.rml	2008-12-28 21:06:42 +0000
@@ -0,0 +1,213 @@
+<?xml version="1.0"?>
+<document filename="test.pdf">
+  <template pageSize="(244.0,153.0)" title="Test" author="Martin Simon" allowSplitting="20">
+    <pageTemplate id="first">
+      <frame id="first" x1="0.0" y1="0.0" width="244" height="153"/>
+    </pageTemplate>
+  </template>
+  <stylesheet>
+    <blockTableStyle id="Standard_Outline">
+      <blockAlignment value="LEFT"/>
+      <blockValign value="TOP"/>
+    </blockTableStyle>
+    <blockTableStyle id="Taula2">
+      <blockTopPadding value="0"/>
+      <blockBottomPadding value="0"/>
+      <blockAlignment value="LEFT"/>
+      <blockValign value="TOP"/>
+    </blockTableStyle>
+    <blockTableStyle id="Taula1">
+      <blockAlignment value="LEFT"/>
+      <blockValign value="TOP"/>
+    </blockTableStyle>
+    <initialize>
+      <paraStyle name="all" alignment="justify"/>
+    </initialize>
+    <paraStyle name="P1" fontName="Helvetica" fontSize="6.0" leading="8" alignment="JUSTIFY"/>
+    <paraStyle name="P2" fontName="Helvetica" fontSize="11.0" leading="14" alignment="JUSTIFY"/>
+    <paraStyle name="P3" fontName="Helvetica" fontSize="11.0" leading="14" alignment="LEFT"/>
+    <paraStyle name="P4" fontName="Helvetica" fontSize="8.0" leading="10" alignment="RIGHT"/>
+    <paraStyle name="P5" fontName="Helvetica" fontSize="12.0" leading="15" alignment="JUSTIFY"/>
+    <paraStyle name="Standard" fontName="Helvetica" fontSize="11.0" leading="14"/>
+    <paraStyle name="Text body" fontName="Helvetica" fontSize="11.0" leading="14" spaceBefore="0.0" spaceAfter="6.0"/>
+    <paraStyle name="Heading" fontName="Helvetica" fontSize="14.0" leading="17" spaceBefore="12.0" spaceAfter="6.0"/>
+    <paraStyle name="List" fontName="Times-Roman" fontSize="11.0" leading="14" spaceBefore="0.0" spaceAfter="6.0"/>
+    <paraStyle name="Table Contents" fontName="Helvetica" fontSize="11.0" leading="14"/>
+    <paraStyle name="Table Heading" fontName="Helvetica-Bold" fontSize="11.0" leading="14" alignment="CENTER"/>
+    <paraStyle name="Caption" fontName="Times-Italic" fontSize="12.0" leading="15" spaceBefore="6.0" spaceAfter="6.0"/>
+    <paraStyle name="Index" fontName="Times-Roman" fontSize="11.0" leading="14"/>
+  </stylesheet>
+  <images>
+    <image name="1000000000000126000000559DB2F123.jpg">/9j/4AAQSkZJRgABAQEASABIAAD/4QAWRXhpZgAATU0AKgAAAAgAAAAAAAD/2wBDAAUDBAQEAwUE
+BAQFBQUGBwwIBwcHBw8LCwkMEQ8SEhEPERETFhwXExQaFRERGCEYGh0dHx8fExciJCIeJBweHx7/
+2wBDAQUFBQcGBw4ICA4eFBEUHh4eHh4eHh4eHh4eHh4eHh4eHh4eHh4eHh4eHh4eHh4eHh4eHh4e
+Hh4eHh4eHh4eHh7/wAARCABVASYDASIAAhEBAxEB/8QAHAABAAIDAQEBAAAAAAAAAAAAAAYHBAUI
+AwIB/8QAVRAAAQMEAQIDBAMGDg4LAAAAAQIDBAAFBhEHEiEIEzEUIkFRMkJhCRUWcbKzIzU2OVJi
+dHV2gZGVodIXGCQzNzhWV4KFoqOxwUVIU3OHkrTF0eHw/8QAHAEBAAEFAQEAAAAAAAAAAAAAAAMB
+AgQGBwUI/8QAKhEBAAEDAgYABQUAAAAAAAAAAAECAxEEQQUGEiExYRRRcYGRMkJywdH/2gAMAwEA
+AhEDEQA/AOy6wbjc48L3FbW7+wT/AM/lXze53sUbSP7652T9n21E1KKlFSiSSdkn41ovNXNk8Nq+
+F0uJubzP7ftvO/yj2jrrx2htH77NWf0Py2h9id/8a80Xq4g7LwV+NA/5VrqVzSvmDildXXOorz/K
+Yj8R2R9UpFCv6FqCJbYRv66e4/krdIUlaQpKgpJGwQexqB1tbBcFR3xHcO2XDob+qa3LlznS9N6n
+T6+cxPaKt4n3697br6a9pSilKV1NKUpSgUpSgUpSgUpSgUpSgUpSgUpSgUpSgUpSgUpSgUpSgUpS
+gUpSgUpSgUpSgiWQPF26OD4N6QP/AN+PdYABJ0O5rJuwIucgH/tCa8Y6giQ2tXolYJ/lr514nXN/
+iN2bk+a5z67/ANMefKUWq1sxWkqcQlbxHvEjevsFfUWVaLyw4YkqFPbQroWph1LgQr5EpPY1nghQ
+BBBB7giuGfDFd83wrHMj5ATd7a1xzbb++L5BDXXOec6G0gtbRrW3Wvrp9Ffx980vDtLptPGnt0R0
+Y8Y8/X55TxERGHW14hexS+hJJbUOpBPy+VYVZbl9g5Jj9jvtu8wRbjBbnMBxISsNuoStHUATo6Pc
+brErhXMWks6Tid6zY/TE9vWYicfaeyCqMSmtseL9vZdPqUDf4x2NZFYGPgptDG/tP+0az67pwq5V
+d0Nm5X5mmmZ+sxCePBSoxyZnmNcdY4nIMrmOxLeqQmOHG2FOnrUCQNJBP1T3qs/7bHhL/KKd/Nj/
+APVrPVXnXg5NhNSExnJcdDyiAltTgCjv07etVBYfE3xJfr1Ds1ou1zmT5jqWY7DVqfKlrJ0B9H+n
+4VU3M9nwub4zMduE7OvYL1HuVpCLV96HnfNWlxtSE+cD0jq2Bs+m+9B1zKlxYoSZUllgK+j5jgTv
+8W69UKStCVoUFJUNgg7BHzrkL7pd+kOE/uqX+S1V82nM8bwLgnGchyq5t2+3tWaCjrUCpS1lhGkI
+SNlSj37AegJ9AaCxaVBeK+V8O5NMxWIPz5jMPQffcgustJUfRAUsAFWu+h31/FWjz7xC8XYNls3F
+sjvMqNdIXl+e2iC64E9baXE+8lJB91aTQWtSqM/tseEv8op382P/ANWp3xdyrh3JUefKxOXLkxoB
+CZD70NxltKiN9IUsAE67kD0Gt+ooJxSqOyzxU8P49fHLQq7Trm40oodft8XzWUKHqOskBX409Q+2
+thc/Evw5AtNtujmUl6PcAvyvIiOrWgo6epLiQnaCOodlAb9RsUFuyH2Y7RdkPNstj1UtQSB/GaR3
+2ZDQdjvNvNn0UhQUD/GKozxxvNyPDNd5DR226/DWk61sF5BFYvgyu9ssHhVt95vM5mDb4bsx2RIe
+VpLaQ+vuf+AHqToCg6BpVZccc6ce8h38WPEplzuEsILjhFseS20kfWWsp6Uj4DZ7kgDvWPfPEJxT
+Y8xn4pd8iXCuUBTiZIdiOhtBQgrI6+nROhoAdySANkigtWlUlhfij4jyjImrGxdZtuffX5bDtwje
+Sy6onQAXshO/h1dPr86x8h8V/Dtnvjtq++twuHlKKFyoUMuMAj10okFQ+1II+RoL1pWow/JbFl+O
+xchxu5M3G2S0lTT7W9HR0QQdFJB2CCAQfWozyxy/gXGLbIyy8hiVIT1Mw2Gy6+tPf3ukeiexHUrQ
+2NboJ7SqSwnxScRZTeWbS3dptqkvrDbJuUbym1qPoOsFSU/6RFXbQK8pUmPFbDkmQ0wgnQU4sJBP
+y2aqfk3xGcXYBfHbHdrtJm3NhXTIjW+OXiyfkpRISD9m9j4gVRfjH5XwXk3ga2u4jekSno+SMF+I
+6gtPtD2aT3KFdynv9IbG+290HZqJEdcb2lL7SmOkq8wLBToep36ar5iyospKlRZLL4SdEtrCgP5K
+oHiRmPI8CBYly0w47mLXNDshSFLDKCJAKylPc6GzodzqtV4ArXYrXieToseTs39tc9ouONw3Y4aP
+lnQ04ATv7KDpmlQHlnl/AuL2mfwrvHlS309TEKO2XZDie46ukeiex95RA2Nb3UTxfxQcP36JNeRf
+ZFvchx1yVsToym3HEIG1dGthatd+kEqOj27UF1UqGcV8nYfybAmzsQnvTGITqWny5GW0UqUNgaUB
+vtSgz8ojFEpMkD3XBon9sP8A6rTVOJTDclhTLo2lX9H21E7jb34TmljqbP0Vgdj/APFcd5z5fu6b
+U1a21Tm3X3n1O+fU+c/b5Ia6cTlk2y8uRWwy6jzWx9Hv3TVN+AA9XFmUH55dLP8AuI9WfVX/AHP3
+/BTk38LZf5iNXv8AIXEtTqrd2zer6qaIp6c7Zzv52XW5mXtneG3fi3KpuaYZHDuOXabIvGaPzXUr
+XHQFlwlhI6Vei3ewCj2H8c7w+8QMsskC82R1T8OegLjrUgoKk71sg9x6VZLzTbzS2Xm0ONrBSpC0
+7CgfgQfWqQybFr1xhnE3kLE4r17h3eQlN5iSHktxrRCSApx9pIIJICSSACTs9q9TjvKVjil+m/TP
+TVmOr3H+48SrVRld8dpLLCGk+iEhIr7rTYZlNgzKwM3/ABm5N3G2vKUluQhKkhRSopUNKAPYgj0r
+c1ttFFNFMU0xiIXo5yHg+L8gWAWHLrX98rcl9L4Z89xr9ESCAeptSVeij23rvXFvi9xvg/jxprD8
+Kw5teWyQlbzwuUt0QGzop91TpSpxfwSQdDuR3TvpnxPcyW/iXClOsKakZJcEqbtcQnej8Xlj9gn/
+AGjofMjhPhzkPHsf5Nez/kG1XLK7mlwyI4LqNe0k7LzhV9Ip+qNaB0fqirh114NOCRx9ZBmOURR+
+FNxa/Qmljvb2FD6H/eK+sfgNJ7e9unOdv1wDHv37sf5TFWzx/wCLzHsvzazYvHw66RXrpMbioeck
+tlLZWdbIA2RVTc7frgGPfv3Y/wApigmf3S79IcJ/dUv8lqqR4/TevEPylj2J5RkzVrtdvgoYjR0q
+6QGGUJSUMpOwXlgbKj9p7hITV3fdLv0hwn91S/yWqgXOnC0jEsCxDl3j1uRDS1bIL1zbjKV1RXvK
+QRKQfUAn6XyPf4nQdw4Ti1hwvGomO43b2oFtiJ020juSfipRPdSie5J7moJyVwnw1kN2umb5tjrT
+kpTQenznbnJZQENNhIUQh1KUgIQPQD0+dYfha5mh8s4X/dq2WcmtqUoucZPuhfwS+gfsVfEfVOx6
+a3zb42OeDlVzf47xKZuwQ3NXKU0e015J+gD8W0H/AMyhv0AJCv4mEWbmPm9WPcR40qxYy0oJXIW6
+890MJPvSXC6tRBV9VAI+qPXZrpvxTpgcNeFtnEMMH3vZnyG7WVg/ozqFoWt5aiNbUsIIUf2+u3YV
+T3AHiI4+4lwluyQMHusq4vkO3K4GQ0lcl3+TshI7JT8O59SSbIz7Iv7abw/5B+Clgmw7ljtxZlx4
+rrqVqkrS2sKSnp+PQteh8TofGg8vCH4fsEu3FMHMMxsrV6uF3LjjLb61+XHZSsoSAkEAqPSVFR32
+IA133TPjT4ksnGGbWuTjDK41lvbDjjUVS1LDDrZSHEpUrZKdLQQCSQSfhqpt4Y/E3Z+PMGRg2dWu
+6lNtdcEOREaStSUKUVFpxClJIIUVaPfsQNDXerfFLy09y7l0K8RbXKt1hhMrjW5EhI63DsKcWojY
+6jtAKQSAAn50HW/jM/xUZf8Aq/8AOt1xTj+R5HmdmxTiE3uJZ7CicQlT6y2yp110q814/Hp6tJHo
+Pxkmu1vGZ/ioy/8AV/51uudrLwUM38KlpznFonVk1vdlmUw2NqnsJeV2A+LiAO3zGx3PTQdq8NcZ
+43xbiDWP4+x1LOlzJjiR5st3Xdaj8vkn0A/jJ4jyLEoWc+Oq4Yvc0OLgzL84ZKEEgrabbLi07HcA
+hBBI7gHdXl4KedPwutbXHuVyj+EMBrUGQ6rvOZSPonfq4gDv+ySN+oJqt8K/XIpH753D/wBC9QYH
+jw4sw7Al4vdcQtTVpRP89iTHaUooUW+gpWNk6OlEH59qnUPgXj5vwduZE/Z23MiVjC76Ln1r80O+
+QZCUjvoJA0jWta2fXvXz90u/SHCf3VL/ACWqtj/qQ/8Aht/7bQVp9zZuUl7B8rtTji1MRLiy80kn
+YSXGyFa+X97FcxTszx3KOdLjmPJUe53mzyJjrq4kJwBbiBsMtBRUOltI6R2O9J0PXY6Q+5o/pDm3
+7qifku1Us1qX4dfEnNk5HjKLxYJTj4aQ80laZUNxYUlbZWCnzEEJ2Pmkp2Ad0Gg5vyzhLJ7HHPH+
+C3bF7yw6NrJR7O8132lSQ4dKB0QoD4EH1Gun+MeT71H8DsnL1SFLvFmgvwWpDm1krSvy2VnfqQlb
+fr6lNVtzF4k8IuOPNWvinCmY95lOoBmTLNG2yNj3UN++FrUe3caAPxPpflqxPKM78L8vGsttNrsN
++vFuc/uaHH8htpz6TJcR9VZKUFYHpsjtrVBz14IuGcZ5DgXrOc3jKvLTM4w48V51XSp3oS4465o7
+WdOI1s6+kTs619+OHg/FMIsFszXDIAtcd2YIU6EhalN9SkKUhxAUT0/QUkgHR2nQHfeg8M/M73A1
+3v2DZ7ZLkmCuX5jrbKB58OSEhKj0KICkqSEd9+iQRvdeHi259jctW2BY8ZtU6LjtvlCQ/IloCVvS
+ChaUDSSQgBJc0Cdq2TodNB0Fxt+t/wAr+CN2/JkVFvua36i8u/fFn82alPG363/K/gjdvyZFRb7m
+t+ovLv3xZ/NmgqPhvHU+IvxLXm65bKekWtAduEhtKiguMpWltlhJ9Up0pP29KT3BO6vPxMeHPjxH
+E15v2J2Jmx3WyRHJyFxlq6Hm209TiFpJIPuhRB9QQPhsGiYEy9+FrxIzXpdqelWWQHWkJT7olwHF
+hSVNk9utJSjY+aSnYB3VheIDxVWLMeOrhiWA2e8Lk3WOtqbImMpQGI+tuBKUqUVEpCgSdAAk7PwD
+e/c1v1F5d++LP5s0p9zW/UXl374s/mzSg60r8UlKklKgCD6gj1r9pVJiJjEjXv2aA6rflFs/tDr+
+iqD8AA1xZlAHwy6WP9xHroyudPAF/guyn+F0v8xHrF0+g02lqqrsW4pmrziMZ/CkREOi60uX33Fb
+JbCMuvFltsCZ1RyLpJaZaf2k9SP0QgK2N7Hy3VD3fnS73nxIY5g+OM3a12eFdJkC/Klw2fJmFvaU
+KbcIUpKdoUQQUk9QrK8a9k/CK14BEXAfn205Kybh5SVFKIxSQ4pak/QT0k7Vsa+dZarRZjyNiHEW
+TjLcKzTHMix24LbtjWF2e4MR41tKwFrnDyiserRBHlp7vd1fPpTHr9Y8jgG4Y9erdeIYWWzIgykP
+t9Y1tPUgkbGx2+2qjt/hp8PtwiplQMRjy46iQl1i9TFoOjo6Ie1VlceYPi/H9gVYcRtf3ttyn1Pl
+nz3Hf0RQAJ6nFKV6JHbeu1B+5DgmD5FcPvhkGG47d5nQG/aJ1sZfc6R6J6lpJ0Nnt9ta7+xPxZ/m
+0wz+Yo39StR4jcuyXCeP2r1jcf8A6SYZuUz2UyTb4aifNkhoEdfTpI1v62/huoteeRcoasuB45i+
+T2LJL7msuSmHfxAKIzMVkdbjhZSs9TqUqA6dpGwdgaNBYBwLi/GkqyFvBsTtiralUv2xmzMIXHDY
+KitKko6gQBvY71726w8eZc7b87jY5j91kyEtS4d3ctrapBCdFpaXFJ6wRoaPYjQ9Kq3J8ty6xXHL
+OMc2uMG+e34fNulqu0aH7KtXQ2tDjLrYUpOxrqCkn09fXQxuHMvvNtRwdh8VxkWq84u+9MSpsFal
+MsJKNK+Hc/x0F35Ni2MZO2w3kuOWe9ojkllNwhNyA2TrZSFg63ob18qy5MW1RrE7CkRobVpajFpx
+hbaQwhgJ0UlP0QgJ7a9NVS+TcyXTE7/zS/c2mZlswxi0G1x0o6VKdls/RWodyC6pHf4DdSfD4XLD
+VvF+zPLbFKZfgOPSLNFs3QiOso2lKHi4VKCT2PUk7H8tBucExji2RbWcjwvF8TTFuEdTaJlvtjDf
+nMq7KR1JSCUnWik/LvX1/Yn4s/zaYZ/MUb+pVS4fyRlN1xHi3D8WRZbTfspgPTZU32AezQI7RUVF
+uOgpSVKOwBsDe9+uxtZfI2b4pL5BwvI5tuud7smJSckst2Yh+QH2kJUnTrOykKS4APdOiPhQWL/Y
+n4s/zaYZ/MUb+pW9xrGMaxhl5jG8etFlafUFuot8JuOlxQGgVBAGzr51RMzOuXMZxDCORchvdhm2
+q9y4LNwszNsLSozMlI0tL3WVKcGwSOkDZ0BoVvHs9y53xCTcIuGQ2/FYzbrC7NCmWguovcfpBeKJ
+HmJ05vqASkdteiiFUE+ybivjfJbr99b7hNinzyoLXIcho8xwj9mQNr/0t1m3Dj7ArhChQp+EY1Li
+wEFuGy/amFtx0nRKW0lOkA6HYa9K1HPt+ybFuK7tk2KJZcnWoIlutOt9YcjoWC8B8iG+o7+yoRlP
+Nj8blLFYtmbZfw19ENF6mKRstO3FC1QtH6oAbClH004O/poLjvVjst7tJtF5s9vuVuV07iS4yHWT
+0nafcUCnsQNdu2qw1JxbAsSkvsxLdYLDbmlyHURIwaZZT3UtXQ2Pxk6HeqJzDnDKbXFyS5QTBMGZ
+lzeMY669GWtEby0ESpSwj3nU9QPSkfFPbY7HU5PyDf7xhHJeI3O9M5RATiL9xiXlmyu27oUD5bkd
+xC+xPvJUkg+m97+AXzY8I41kvQ8qtGF4v7Q/0zo1watDKHiV++l0L6AoKO979e9Zr2LYRa7w/mTm
+NY/EujKXJD139gaTISOghay909X0eoE79N1RAyrlfjzgzGOSLjc7HLsUWHAE2wot5Q41DcDbSFJk
+FzantKQSOkJ2fTQ79B5dKMfDrxNZS04Wre+6gOICkK02ojYPqPsoNe9bsF5HsVuusy02LKLYtJeg
+vS4TclACuxUjzEnW9Dfp6VpL1yFw/ZWJGG3bJ8UgsRmfYH7S860lttro6fJLR90I6fd6da121qvT
+w9XiRkHCuLXmWxEjvyoIWtuIwllpJ6iNJQnskdvQVTWC3fKbdy7yw3j/ABf+GbS8gSXXvvnFjezq
+8saTp47O/XYoLfTkHDPGk1VrZnYZiMia23IWwyliGXkHYQtQSBsfS0T9tbDP7hxlPwxi55tJxqdj
+clSfIkzy07GWpQJSULO07IB0QfhVEcmZPb8U8VF6vl7xGfkEVrj0F+BEiok+UBISoqc6j0pbSEkF
+ffWx2O6it5scmweD/Cly3GFouWXxbmzHjL81uMy8takMpI9dDuR8FEj4UHQ3FOK8HLfXeuObXiEt
+9hY6pUAtPuR1H097ZU2e3p2qzqoPjGxzb34i5/I1owy44fjSLCLatE+F7E9cpJd6y4WOxCUpAHUo
+DfSNb+F+UEYzTj3B80UheVYrabs62npQ9IjpLqU73oL+kB9m9V+I46wBFgRYPwIxtVpQ8JCYS7Yy
+pkOgFIc6CnXXokdXronv3qUUoNdGsNji4+cejWW3M2YsrYNvbioTGLa99SPLA6ek9R2NaOz868sa
+xjGsYZeYxvHrRZWn1BbqLfCbjpcUBoFQQBs6+dbalBqcpxnHspt33uySyW+7xN9QamR0upSfmOod
+j9o71p8d4x47x6DKg2fCrDFYmNFmUkQkKL7Z9UOFQJWn9qSRUupQanGsYxrGGXmMbx60WVp9QW6i
+3wm46XFAaBUEAbOvnSttSgUpSgVxn4I5PJpudxiWNu0nCE5FIcuy3de1JdLSR7nf091v4fOuzK8o
+0aPGSpMaO0yFHag2gJBPz7UEO52xu55fxDkmNWVDS7hcIZaYS4voSVdQPc/D0qDcTXeFknE944eg
+rU3k2M2BFkuYeSQw3JUwtkdKxvqT1IV3A9PhV31zZmTL/CXNlnueNOtz1co5MzGu6Lg2VCMjzkj9
+AKCnR/uhfdfV6Dt67Dd+FuRHwRB4GuzyZGVWSK9c5TsRJVEUy66lSQlaglRVp5GwUj49/nfFc8eI
+51HEOSx+ZcZjtSskv82Nj0tueVLjJjKQVlSEIKVBzcZvuVEaKu3ca6HoI1yBbswuMCMMOv8AbbTJ
+adKn0T7f7UzKQUkeWrSkqSNne0nfYD03usrbwAq14ZZWLZlHsmV2W7yLzDuiIKfZ23n9eayGOrsw
+pISnpCt9t7+FXlSgqKJxRfbtdb/lGb5JCuOSXKxO2SF7DDUzDtzDiVdXQhS1KWoqVsqJB129KxJf
+Dt+g2PjuRi+UQ4eS4RCXDakSoRcjTW3G0oWlaAoKSPd7EHY2fjoi6KUFL2bg9+UnkUZzkqb8rOWI
+aJbjEMRzHXHSsJUgFShpJUjp3vXlje91vMLxHk62MsWfIM9tF2skWIuMjosxalyQWyhBdX5pSOns
+fdG1a7nvVmUoKXi8Jz7XieCCxZO1ByzDGXGYlxXDLkeS05sONOs9QJSoHsQraTsismPxDdbhGza8
+ZXkkW4ZXlVjesqZMaEWYtvjrbUkNtNlRUodRCiVK2dD09Tb9KCs874wkZLxTjuEovDUZyzu29xUk
+sFQd9mCdgJ2NdWvn2+2tZn3FuX5vk8EX7MLY5jVvvTd2httWnouDHQdpYS+F6Cfmvp6jVv0oPC4R
+I0+BIgTGkvRpLSmXm1ei0KBCgfxgmqbxjgC22jgy/wDG8i7uTJN3Wt03JaD1tLR0iKQCSdNBpoaB
+Hoda3V10oKjn8JxJHDuO4VGvr0C8Y/IauMG9tMBS0z0qUtb5QT7wUtayUlXxHftWTccJ5IyfC8kx
+7McysbyLra3IEdFutKmkNLV289ZU4pSjr6o0O5q06UFEt8KZjcsUsnH+VZ7CuWFWpcdS47VrLcua
+2zoojuueYU+UkpTohPUQO/cA1dGQwDdbBcbWl0NGZFdjhZGwnrQU718dbrOpQRbiTFHMG43seJOz
+UTnLZGDCpCW+gOdydhOzr1+dQWFxtyLj2aZZfMRzPH4kbI7h7c4xOs7j62yE9ISFJeSP6KuOlBWl
+n42np5gXyFfLtBnrk4oixTYiIZS2675iHHHQFKOkKKSOg77H1NQ5zw/3FPHxwePl6PvPEylF5tLb
+sQqVDjJUpXs3V1+93VsHQ0d+u9C/KUClKUClKUClKUClKUClKUClKUClKUCtBnmLQMsx6XbpCWWZ
+i4zzcG4eQlb0B1aClL7RPdK0nSgUkHaR3FKUFbcYcFSsYyF245Xn93z2GqMptq33tsvMsu9aFB9I
+cWsBYCVJBAB0tXf53RSlApSlApSlApSlApSlApSlApSlApSlApSlApSlApSlApSlApSlApSlApSl
+ApSlB//Z
+</image>
+  </images>
+  <story>
+    <para style="P2">[[repeatIn(objects, 'o')]]</para>
+    <blockTable colWidths="122.0,122.0" style="Taula2">
+      <tr>
+        <td>
+          <illustration height="34.0" width="116.0">
+            <image x="0" y="0" file="1000000000000126000000559DB2F123.jpg" height="34.0" width="116.0"/>
+          </illustration>
+        </td>
+        <td>
+          <para style="P4">
+            <font color="white"> </font>
+          </para>
+          <para style="P4">www.zikzakmedia.com</para>
+        </td>
+      </tr>
+    </blockTable>
+    <para style="P1">
+      <font color="white"> </font>
+    </para>
+    <blockTable colWidths="164.0,80.0" style="Taula1">
+      <tr>
+        <td>
+          <para style="P3">[[o.name or o.partner_id.name]]</para>
+          <para style="P3">
+            <font color="white"> </font>
+          </para>
+          <para style="P3">Num: [[o.partner_id.ref]]</para>
+          <para style="P3">[[ setTag('para','barCode',{'width':'200.0','height':'50.0'}) ]][[ o.partner_id.ref or setTag('barCode','para') ]]</para>
+        </td>
+        <td>
+          <para style="P2">[[ setTag('para','image',{'width':'50.0','height':'65.0'}) ]][[ o.photo or setTag('image','para') ]]</para>
+        </td>
+      </tr>
+    </blockTable>
+    <para style="P1">
+      <font color="white"> </font>
+    </para>
+  </story>
+</document>
+

=== added file 'membership_card/report/membership_card_address.sxw'
Binary files membership_card/report/membership_card_address.sxw and membership_card/report/membership_card_address.sxw differ
=== added file 'membership_card/report/membership_card_report.py'
--- membership_card/report/membership_card_report.py	1970-01-01 00:00:00 +0000
+++ membership_card/report/membership_card_report.py	2008-12-28 21:06:42 +0000
@@ -0,0 +1,33 @@
+# -*- encoding: utf-8 -*-
+##############################################################################
+#
+# Copyright (c) 2007 Zikzakmedia SL (http://www.zikzakmedia.com) All Rights Reserved.
+#
+# WARNING: This program as such is intended to be used by professional
+# programmers who take the whole responsability of assessing all potential
+# consequences resulting from its eventual inadequacies and bugs
+# End users who are looking for a ready-to-use solution with commercial
+# garantees and support are strongly adviced to contract a Free Software
+# Service Company
+#
+# This program is Free Software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+#
+##############################################################################
+
+
+from report import report_sxw
+
+report_sxw.report_sxw('report.membership.card.report', 'res.partner', 'addons/membership_card/report/membership_card.rml')
+report_sxw.report_sxw('report.membership.card.address.report', 'res.partner.address', 'addons/membership_card/report/membership_card_address.rml')

=== added directory 'membership_card/wizard'
=== added file 'membership_card/wizard/__init__.py'
--- membership_card/wizard/__init__.py	1970-01-01 00:00:00 +0000
+++ membership_card/wizard/__init__.py	2008-12-28 21:06:42 +0000
@@ -0,0 +1,31 @@
+# -*- encoding: utf-8 -*-
+##############################################################################
+#
+# Copyright (c) 2008 Zikzakmedia S.L. (http://zikzakmedia.com) All Rights Reserved.
+#                    Jordi Esteve <jesteve@zikzakmedia.com>
+#
+# WARNING: This program as such is intended to be used by professional
+# programmers who take the whole responsability of assessing all potential
+# consequences resulting from its eventual inadequacies and bugs
+# End users who are looking for a ready-to-use solution with commercial
+# garantees and support are strongly adviced to contract a Free Software
+# Service Company
+#
+# This program is Free Software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+#
+##############################################################################
+
+
+

